Subject: Info on freshwater snails?

From: Sarah Stegall <[email-masked]>
Date: 23 May 1995 20:23:51 GMT

Hi.  Please excuse me if I am posting to the wrong group.  I am a layman 
doing a little research into freshwater snails and their life cycles, 
with particular reference to breeding and early (larval?) stages.  I am 
NOT a biologist, but can make my way through most college biology texts.  
I would appreciate some references, particularly WWW references, on this 
subject.  Is there a book you have found particularly useful?  a 
pamphlet or other resource?  Please let me know.  You can post a reply 
or e-mail me at

[email-masked]

Again, my apologies if this is an intrusion into the wrong group.  
Thanks for any help you can lend me.

Sarah Stegall

P.S. No, this is NOT a school project.